Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class DocumentType

    java.lang.Object
      com.compoze.domino.DocumentType

All Implemented Interfaces:
  java.io.Serializable

public class DocumentType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for the Domino document types. The type of document is represented with a type string.

See Also:
  Serialized Form

Field Summary
`static DocumentType` | `APPOINTMENT` This value represents the 'appointment' document type.
`static DocumentType` | `BOOKMARK` This value represents the 'memo' document type.
`static DocumentType` | `CONTACT` This value represents the 'contact' document type.
`static DocumentType` | `DELIVERY_REPORT` This value represents the 'delivery report' document type.
`static DocumentType` | `MEMO` This value represents the 'memo' document type.
`static DocumentType` | `NONDELIVERY_REPORT` This value represents the 'non-delivery report' document type.
`static DocumentType` | `NOTICE` This value represents the 'notice' document type.
`static DocumentType` | `PERSONAL_STATIONERY` This value represents the 'memo' document type.
`static DocumentType` | `PHONE_MESSAGE` This value represents the 'memo' document type.
`static DocumentType` | `REPLY` This value represents the 'reply' document type.
`static DocumentType` | `REPLY_NOTICE` This value represents the 'reply notice' document type.
`static DocumentType` | `RETURN_NONRECEIPT` This value represents the 'return non-receipt' document type.
`static DocumentType` | `RETURN_RECEIPT` This value represents the 'return receipt' document type.
`static DocumentType` | `TASK` This value represents the 'task' document type.
`static DocumentType` | `TASK_NOTICE` This value represents the 'task notice' document type.
`static DocumentType` | `TRACE_REPORT` This value represents the 'trace report' document type.
`static DocumentType` | `UNKNOWN` This value represents the 'unknown' document type.
`static int` | `VALUE_APPOINTMENT` This value represents the 'appointment' value.
`static int` | `VALUE_BOOKMARK` This value represents the 'Bookmark' or Link Message value.
`static int` | `VALUE_CONTACT` This value represents the 'contact' value.
`static int` | `VALUE_DELIVERY_REPORT` This value represents the 'delivery report' value.
`static int` | `VALUE_MEMO` This value represents the 'note' value.
`static int` | `VALUE_NONDELIVERY_REPORT` This value represents the 'non-delivery report' value.
`static int` | `VALUE_NOTICE` This value represents the 'notice' value.
`static int` | `VALUE_PERSONAL_STATIONERY` This value represents the 'Personal Stationery' value.
`static int` | `VALUE_PHONE_MESSAGE` This value represents the 'Phone Message' value.
`static int` | `VALUE_REPLY` This value represents the 'reply' value.
`static int` | `VALUE_REPLY_NOTICE` This value represents the 'Reply Notice' value.
`static int` | `VALUE_RETURN_NONRECEIPT` This value represents the 'return non-receipt' value.
`static int` | `VALUE_RETURN_RECEIPT` This value represents the 'return receipt' value.
`static int` | `VALUE_TASK` This value represents the 'task' value.
`static int` | `VALUE_TASK_NOTICE` This value represents the 'task notice' value.
`static int` | `VALUE_TRACE_REPORT` This value represents the 'trace report' value.
`static int` | `VALUE_UNKNOWN` This value represents the 'Unknown' or Link Message value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static DocumentType` | `get(int iValue)` Gets the document type using the enumeration value.
`static DocumentType` | `get(java.lang.String sType)` Gets the document type by the specified type string.
`static java.util.List` | `getList()` Gets the list of document types.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `getType()` Gets the type string of the document type.
`int` | `getValue()` Gets the enumeration value of the document type.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_MEMO

    public static final int VALUE_MEMO

  This value represents the 'note' value.

  See Also:
    Constant Field Values

### VALUE_APPOINTMENT

    public static final int VALUE_APPOINTMENT

  This value represents the 'appointment' value.

  See Also:
    Constant Field Values

### VALUE_CONTACT

    public static final int VALUE_CONTACT

  This value represents the 'contact' value.

  See Also:
    Constant Field Values

### VALUE_TASK

    public static final int VALUE_TASK

  This value represents the 'task' value.

  See Also:
    Constant Field Values

### VALUE_TRACE_REPORT

    public static final int VALUE_TRACE_REPORT

  This value represents the 'trace report' value.

  See Also:
    Constant Field Values

### VALUE_DELIVERY_REPORT

    public static final int VALUE_DELIVERY_REPORT

  This value represents the 'delivery report' value.

  See Also:
    Constant Field Values

### VALUE_NONDELIVERY_REPORT

    public static final int VALUE_NONDELIVERY_REPORT

  This value represents the 'non-delivery report' value.

  See Also:
    Constant Field Values

### VALUE_RETURN_NONRECEIPT

    public static final int VALUE_RETURN_NONRECEIPT

  This value represents the 'return non-receipt' value.

  See Also:
    Constant Field Values

### VALUE_NOTICE

    public static final int VALUE_NOTICE

  This value represents the 'notice' value.

  See Also:
    Constant Field Values

### VALUE_TASK_NOTICE

    public static final int VALUE_TASK_NOTICE

  This value represents the 'task notice' value.

  See Also:
    Constant Field Values

### VALUE_RETURN_RECEIPT

    public static final int VALUE_RETURN_RECEIPT

  This value represents the 'return receipt' value.

  See Also:
    Constant Field Values

### VALUE_REPLY

    public static final int VALUE_REPLY

  This value represents the 'reply' value.

  See Also:
    Constant Field Values

### VALUE_PERSONAL_STATIONERY

    public static final int VALUE_PERSONAL_STATIONERY

  This value represents the 'Personal Stationery' value.

  See Also:
    Constant Field Values

### VALUE_PHONE_MESSAGE

    public static final int VALUE_PHONE_MESSAGE

  This value represents the 'Phone Message' value.

  See Also:
    Constant Field Values

### VALUE_BOOKMARK

    public static final int VALUE_BOOKMARK

  This value represents the 'Bookmark' or Link Message value.

  See Also:
    Constant Field Values

### VALUE_UNKNOWN

    public static final int VALUE_UNKNOWN

  This value represents the 'Unknown' or Link Message value.

  See Also:
    Constant Field Values

### VALUE_REPLY_NOTICE

    public static final int VALUE_REPLY_NOTICE

  This value represents the 'Reply Notice' value.

  See Also:
    Constant Field Values

### MEMO

    public static final DocumentType MEMO

  This value represents the 'memo' document type.

  See Also:
    `Memo`

### PERSONAL_STATIONERY

    public static final DocumentType PERSONAL_STATIONERY

  This value represents the 'memo' document type.

  See Also:
    `PersonalStationery`

### PHONE_MESSAGE

    public static final DocumentType PHONE_MESSAGE

  This value represents the 'memo' document type.

  See Also:
    `PhoneMessage`

### BOOKMARK

    public static final DocumentType BOOKMARK

  This value represents the 'memo' document type.

  See Also:
    `Memo`

### REPLY

    public static final DocumentType REPLY

  This value represents the 'reply' document type.

  See Also:
    `Memo`

### APPOINTMENT

    public static final DocumentType APPOINTMENT

  This value represents the 'appointment' document type.

  See Also:
    `Appointment`

### CONTACT

    public static final DocumentType CONTACT

  This value represents the 'contact' document type.

  See Also:
    `Contact`

### TASK

    public static final DocumentType TASK

  This value represents the 'task' document type.

  See Also:
    `Task`

### TRACE_REPORT

    public static final DocumentType TRACE_REPORT

  This value represents the 'trace report' document type.

  See Also:
    `TraceReport`

### DELIVERY_REPORT

    public static final DocumentType DELIVERY_REPORT

  This value represents the 'delivery report' document type.

  See Also:
    `DeliveryReport`

### RETURN_RECEIPT

    public static final DocumentType RETURN_RECEIPT

  This value represents the 'return receipt' document type.

  See Also:
    `ReturnReceipt`

### NONDELIVERY_REPORT

    public static final DocumentType NONDELIVERY_REPORT

  This value represents the 'non-delivery report' document type.

  See Also:
    `NonDeliveryReport`

### RETURN_NONRECEIPT

    public static final DocumentType RETURN_NONRECEIPT

  This value represents the 'return non-receipt' document type.

  See Also:
    `ReturnNonReceipt`

### NOTICE

    public static final DocumentType NOTICE

  This value represents the 'notice' document type.

  See Also:
    `Notice`

### TASK_NOTICE

    public static final DocumentType TASK_NOTICE

  This value represents the 'task notice' document type.

  See Also:
    `TaskNotice`

### UNKNOWN

    public static final DocumentType UNKNOWN

  This value represents the 'unknown' document type.

### REPLY_NOTICE

    public static final DocumentType REPLY_NOTICE

  This value represents the 'reply notice' document type.

Method Detail

### getType

    public java.lang.String getType()

  Gets the type string of the document type. This is the document type string in the underlying store.

  Returns:
    the type string of the document type

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### getValue

    public int getValue()

  Gets the enumeration value of the document type. This value is unique within the `DocumentType` class.

  Returns:
    the enumeration value of the document type (see `VALUE_` constants)

### get

    public static DocumentType get(java.lang.String sType)

  Gets the document type by the specified type string.

  Parameters:
    `sType` - the type string of the document type
  Returns:
    the matching document type or `null` if not found

### get

    public static DocumentType get(int iValue)

  Gets the document type using the enumeration value.

  Parameters:
    `iValue` - the enumeration value of the document type
  Returns:
    the matching document type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of document types.

  Returns:
    the list of `DocumentType`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the type string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same type string as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.